For Developers
Fetch Child Request
GET https://ed.link/api/v2/teams/:team_id/requests/:request_id/children/:child_request_id
Fetches detailed logging for a specific outbound child request.
Permissions
Requires the logs.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:request_id | UUID | Yes | The ID of the parent request. |
:child_request_id | UUID | Yes | The ID of the child request. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/requests/${request_id}/children/${child_request_id}`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "18492019-4819-4bb4-8172-401928472910",
"method": "GET",
"url": "https://oakridge.instructure.com/api/v1/courses",
"status": 200
}
}
